Subject: linux-next: unnecessary merge in the v4l-dvb tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 13 Feb 2018 08:00:36 +1100

Hi Mauro,

By merging the v4.16-rc1 tag into the v4l-dvb tree, you have created an
unnecessary merge commit.  The v4l-dvb tree was already contained in
v4.16-rc1, so a fast forward merge was possible, but explicitly merging
a signed tag will give you a commit instead.  In this case, you could
have just reset your branch to v4.16-rc1 or merged v4.16-rc1^0.

Linus, this happens a bit after the merge window, so I am wondering
about the rational of not doing a fast forward merge when merging a
signed tag (I forget the reasoning).
-- 
Cheers,
Stephen Rothwell